<template >
  <v-app v-scroll="onScroll" fixed app>
    <v-layout wrap>
      <toolbar v-if="offsetTop != 0" />
      <v-navigation-drawer v-model="sidebar" app>
        <v-list dense>
          <v-list-item
           v-for="(menu_list,index) in menu_lists"
           :key="index"
           @click="$vuetify.goTo(`#${menu_list.id}`)"
          >
            <v-list-item-action>
              <v-icon style="color:black" class="mr-2">{{menu_list.icon}}</v-icon>
            </v-list-item-action>
            <v-list-item-content>{{menu_list.name}}</v-list-item-content>
          </v-list-item>
          <v-list-item @click="goTrain">
            <v-list-item-action>
              <v-icon style="color:black" class="mr-2">mdi-book-open</v-icon>
            </v-list-item-action>
            <v-list-item-content>อบรม</v-list-item-content>
          </v-list-item>
          <v-list-item @click="goLogin" v-if="auth === ''">
            <v-list-item-action >
              <v-icon style="color:black" class="mr-2">mdi-account</v-icon>
            </v-list-item-action>
            <v-list-item-content>ล็อคอิน</v-list-item-content>
          </v-list-item>
          <v-list-item  v-if="auth !== ''" @click="goLogin">
            <v-list-item-action v-if="imgIcon === ''" size="36">
              <v-icon >mdi-account-circle</v-icon>
            </v-list-item-action>
            <v-list-item-action v-if="imgIcon !== ''" size="36">
              <img :src="require(`@/assets/${imgIcon}`)" />
            </v-list-item-action>
            <v-list-item-content>{{name}}</v-list-item-content>
            <v-menu offset-y>
              <template v-slot:activator="{ on }">
                <v-btn flat fab icon small v-on="on" color="white">
                  <v-icon>mdi-chevron-down</v-icon>
                </v-btn>
              </template>
              <v-list>
                <v-list-item>
                  <v-list-item-title @click="logout" class="menu_item" color="green">
                    <v-icon class="mr-2" style="color: black">mdi-logout</v-icon>
                    <span>Logout</span>
                  </v-list-item-title>
                </v-list-item>
              </v-list>
            </v-menu>
          </v-list-item>
        </v-list>
      </v-navigation-drawer>
      <v-app-bar v-if="offsetTop === 0" flat fixed color="transparent" width="100%">
        <v-layout wrap justify-center>
          <v-app-bar app color="green">
            <span class="hidden-sm-and-up">
              <v-app-bar-nav-icon @click="sidebar = !sidebar"></v-app-bar-nav-icon>
            </span>
            <v-toolbar-title>
              <router-link to="/" tag="span" style="cursor: pointer">
                {{appname}}
              </router-link>
            </v-toolbar-title>
            <v-spacer></v-spacer>
            <v-toolbar-items class="hidden-xs-only">
              <v-btn
               flat
               v-for="(menu_list,index) in menu_lists"
               :key="index"
               @click="$vuetify.goTo(`#${menu_list.id}`)"
               color="green"
               elevation="0"
              >
              <v-icon left dark>{{menu_list.icon}}</v-icon>{{menu_list.name}}
              </v-btn>
              <v-btn flat @click="goTrain" color="green" elevation="0">
                <v-icon class="mr-2">mdi-book-open</v-icon><span>อบรม</span>
              </v-btn>
              <v-btn flat v-if="auth === ''" @click="goLogin" color="green" elevation="0">
                <v-icon  class="mr-2">mdi-account</v-icon><span >ล็อคอิน</span>
              </v-btn>
              <v-btn flat v-if="auth !== ''" color="green" elevation="0">
                <v-avatar size="36" v-if="imgIcon === ''">
                  <v-icon >mdi-account-circle</v-icon>
                </v-avatar>

                <v-avatar v-if="imgIcon !== ''" size="36">
                  <img :src="require(`@/assets/${imgIcon}`)" />
                </v-avatar>
                <span >{{name}}</span>
                <v-menu offset-y>
                  <template v-slot:activator="{ on }">
                    <v-btn flat fab icon small v-on="on" color="white">
                      <v-icon>mdi-chevron-down</v-icon>
                    </v-btn>
                  </template>
                  <v-list>
                    <v-list-item>
                      <v-list-item-title @click="logout" class="menu_item" color="green">
                        <v-icon class="mr-2" style="color: black">mdi-logout</v-icon>
                        <span>Logout</span>
                      </v-list-item-title>
                    </v-list-item>
                  </v-list>
                </v-menu>
              </v-btn>
            </v-toolbar-items>
          </v-app-bar>
        </v-layout>
      </v-app-bar>

      <v-flex xs12>
        <v-carousel hide-controls hide-delimiters cycle show-arrows-on-hover height="100%">
          <v-carousel-item
            v-for="(item,index) in items"
            :key="index"
            class="bg-blur"
            filter="blur"
            flat
            style="width:100%; height: 100%;"
            :src="require(`@/assets/${item.src}`)"
          >
            <v-layout wrap align-center justify-center fill-height height="100%">
              <v-flex xs12>
                <div v-if="item.src === 'h1.jpg'" class="text-center" style="height: auto; width: 100%;">
                  <img class="img" src="@/assets/inetlogo.png" style="width:55%; height:55%;"/>
                  <h1 class="font_size" style="width:100%; font-size:3vw;">{{company_name}}</h1>
                  <v-card class="card_text">
                    <h1
                      class="font_size"
                      style="color:white;margin:auto;width:100%;"
                    >{{phrase}}</h1>
                  </v-card>
                </div>

                <div v-if="item.src === 'IMG_2.jpg' ">
                  <v-card class="card" style="height: auto;">
                    <v-layout wrap>
                      <v-flex xs6>
                        <v-layout wrap>
                          <v-flex xs2 class="text-center">
                            <h1 class="i">I</h1>
                          </v-flex>
                          <v-flex xs10 style="margin:auto; font-size:5vw;">
                            <h1 style="color:white">{{innovation}}</h1>
                            <h3 style="color:white">{{innovation_detail}}</h3>
                          </v-flex>
                        </v-layout>
                      </v-flex>
                    </v-layout>

                    <v-layout wrap>
                      <v-flex offset-xs6 xs6>
                        <v-layout wrap>
                          <v-flex xs3 class="text-center">
                            <h1 class="n">N</h1>
                          </v-flex>

                          <v-flex xs9 style="margin:auto; font-size:5vw;">
                            <h1 style="color:white">{{neutral}}</h1>
                            <h3 style="color:white">{{neutral_detail}}</h3>
                          </v-flex>
                        </v-layout>
                      </v-flex>
                    </v-layout>
                  </v-card>
                </div>

                <div v-if="item.src === '36.jpg'" style="align-left">
                  <v-card class="card" style="height: auto;">
                    <v-layout wrap>
                      <v-flex xs6>
                        <v-layout wrap>
                          <v-flex xs3 class="text-center">
                            <h1 class="e">E</h1>
                          </v-flex>
                          <v-flex xs9 style="margin:auto; font-size:5vw;">
                            <h1 style="color:white">{{energetic}}</h1>
                            <h3 style="color:white">{{energetic_detail}}</h3>
                          </v-flex>
                        </v-layout>
                      </v-flex>
                    </v-layout>

                    <v-layout wrap>
                      <v-flex offset-xs6 xs6>
                        <v-layout wrap>
                          <v-flex xs3 class="text-center">
                            <h1 class="t">T</h1>
                          </v-flex>

                          <v-flex xs9 style="margin:auto; font-size:5vw;">
                            <h1 style="color:white">{{trustworthy}}</h1>
                            <h3 style="color:white">{{trustworthy_detail}}</h3>
                          </v-flex>
                        </v-layout>
                      </v-flex>
                    </v-layout>
                  </v-card>
                </div>
              </v-flex>
            </v-layout>
          </v-carousel-item>
        </v-carousel>
      </v-flex>
    </v-layout>
  </v-app>
</template>
<script>
import { Decode } from '@/services'

import toolbar from '@/components/aoy/navbar_index.vue'
export default {
  components: {
    toolbar
  },
  data () {
    return {
      sidebar: false,
      appname: 'INET',
      myInfo: '',
      company_name: 'บริษัท อินเทอร์เน็ตประเทศไทย จำกัด มหาชน',
      phrase: 'พัฒนาความรู้ แลกเปลี่ยนประสบกาณ์ เสริมสร้างองค์กร',
      innovation: 'Innovation',
      innovation_detail: 'เป็นบริษัทที่มีนวัตกรรมตลอดเวลา พนักงานต้องเป็นคนช่างคิด ช่างสังเกตุ พัฒนาอย่างไม่หยุดนิ่ง',
      neutral: 'Neutral',
      neutral_detail: 'เป็นบริษัทที่มีความเป็นกลาง ไม่ฝักไฝ่ฝ่ายใด คนคบแล้วสบายใจ พนักงานต้องมีแต่บริษัท ไม่แบ่งพรรค แบ่งพวก มีพวกเดียว',
      energetic: 'Energetic',
      energetic_detail: 'เป็นบริษัทที่กระฉับกระเฉง ทำงานรวดเร็ว มีพลัง พนักงานต้องมีความกระตือรือร้น ทำงานอย่างคึกคัก ไม่มีเฉื่อย เช้าชามเย็นชาม',
      trustworthy: 'Trustworthy',
      trustworthy_detail: 'เป็นบริษัทที่ไว้ใจได้ ทุกคนสบายใจที่ทำธุรกิจด้วย พนักงานต้องมีความซื่อสัตย์ เป็นที่น่าไว้วางใจ ทั้งต่องาน ลูกค้าเพื่อนร่วมงาน และผู้บังคับบัญชา',
      items: [
        {
          src: 'h1.jpg'
        },
        {
          src: 'IMG_2.jpg'
        },
        {
          src: '36.jpg'
        }
      ],
      menu_lists: [
        {
          name: 'ข่าวสาร',
          icon: 'mdi-newspaper',
          id: 'newsActivity'
        },
        {
          name: 'ท่องเที่ยว',
          icon: 'mdi-island',
          id: 'travel'
        },
        {
          name: 'คลังความรู้',
          icon: 'mdi-book-open',
          id: 'knowledgeBase'
        },
        {
          name: 'การเรียนรู้',
          icon: 'mdi-newspaper',
          id: 'departmentknowledge'
        }
      ],
      menu: false,
      datas: [],
      offsetTop: 0,
      auth: '',
      name: '',
      lastname: '',
      imgIcon: ''
    }
  },
  async created () {
    this.offsetTop = 0
    this.auth = JSON.parse(JSON.parse(Decode.decode(this.$cookies.get('datdaInfo'))))

    if (this.auth !== '') {
      if (this.$cookies.isKey('datdaInfo')) {
        this.myInfo = JSON.parse(JSON.parse(Decode.decode(this.$cookies.get('datdaInfo'))))
      } else {
        this.myInfo = ''
      }
    } else {
      this.myInfo = ''
    }
    await this.getData()
  },
  methods: {
    onScroll (e) {
      this.offsetTop = window.pageYOffset || document.documentElement.scrollTop
    },
    goLogin () {
      console.log(process.env.VUE_APP_WEB_LOGIN)
      window.location = process.env.VUE_APP_WEB_LOGIN
    },
    goTrain () {
      window.location = process.env.VUE_APP_WEB_CENTER + 'train'
    },
    async getData () {
      console.log('myInfo', this.myInfo)
      this.name = this.myInfo.name
      this.lastname = this.myInfo.lastname
      // this.imgIcon = this.myInfo.avatar
    },
    logout () {
      this.$cookies.remove('datdaInfo', '/', process.env.VUE_APP_WEB_DOMAIN)
      window.location = process.env.VUE_APP_WEB_CENTER
    }
  }
}
</script>
<style>
.nav_img {
  width: 120;
  height: 50px;
}
.bg {
  /* background-image: url('https://images.unsplash.com/photo-1487017159836-4e23ece2e4cf?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1951&q=80'); */

  /* Full height */
  height: 100%;
  /* filter: blur(4px); */

  /* Center and scale the image nicely */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.bg-blur {
  position: absolute;
  top: 0;
  left: 0;
  max-width: 1280px;
  /* filter: blur(4px); */
  /* z-index: 0; */
  /* position: fixed; */
  /* -webkit-filter: blur(4px); */
  /* Preserve aspet ratio */
  min-width: 100%;
  min-height: 100%;
  /* background-size: cover;
  background-repeat: no-repeat;
  background-position: center center; */
}
.nav {
  background-color: #ffffff;
  opacity: 0.1;
}
.card {
  width: 900px;
  height: 450px;
  border-radius: 8px !important;
  margin: auto;
  background: rgba(10, 10, 10, 0.4) !important;
}
.card_text {
  width: 60%;
  height: 80%;
  border-radius: 100px !important;
  margin: auto;
  background: rgba(10, 10, 10, 0.4) !important;
}
.img {
  width: 700px;
  height: 400px;
}
.font_size {
  font-size: 2.2vw;
}
.i {
  font-size: 10vw;
  color: #fff;
  display: inline-block;
}
.n {
  font-size: 10vw;
  color: #fff;
  display: inline-block;
}
.e {
  font-size: 10vw;
  color: #fff;
  display: inline-block;
}
.t {
  font-size: 10vw;
  color: #fff;
  display: inline-block;
}
.menu_navbar {
  width: 100%;
  height: 100%;
  margin: auto;
  cursor: pointer;
  color: white;
}
.menu_navbar:hover {
  width: 100%;
  height: 100%;
  margin: auto;
  cursor: pointer;
  color: black;
}
.menu_navbar_avatar {
  width: 100%;
  height: 100%;
  cursor: pointer;
  color: white;
}
.menu_item {
  color: black;
  cursor: pointer;
}
.menu_item:hover {
  color: #ddd;
  cursor: pointer;
}
</style>
